Package org.freeplane.api

# Enum Class ChildNodesAlignment

java.lang.Object
java.lang.Enum<ChildNodesAlignment>
org.freeplane.api.ChildNodesAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<ChildNodesAlignment>`, `Constable`

public enum ChildNodesAlignment extends Enum<ChildNodesAlignment>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ChildNodesAlignment.Placement`

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AFTER_PARENT`
`AUTO`
`BEFORE_PARENT`
`BY_CENTER`
`FIRST_CHILD_BY_PARENT`
`FLOW`
`LAST_CHILD_BY_PARENT`
`NOT_SET`
`STACKED_AUTO`

## Method Summary

Modifier and Type
Method
Description
`int`
`align(int value)`
`boolean`
`isStacked()`
`ChildNodesAlignment.Placement`
`placement()`
`static ChildNodesAlignment`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ChildNodesAlignment[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NOT_SET

public static final ChildNodesAlignment NOT_SET

### AFTER_PARENT

public static final ChildNodesAlignment AFTER_PARENT

### FIRST_CHILD_BY_PARENT

public static final ChildNodesAlignment FIRST_CHILD_BY_PARENT

### BY_CENTER

public static final ChildNodesAlignment BY_CENTER

### FLOW

public static final ChildNodesAlignment FLOW

### LAST_CHILD_BY_PARENT

public static final ChildNodesAlignment LAST_CHILD_BY_PARENT

### BEFORE_PARENT

public static final ChildNodesAlignment BEFORE_PARENT

### AUTO

public static final ChildNodesAlignment AUTO

### STACKED_AUTO

public static final ChildNodesAlignment STACKED_AUTO

## Method Details

### values

public static ChildNodesAlignment[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ChildNodesAlignment valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isStacked

public boolean isStacked()

### align

public int align(int value)

### placement

public ChildNodesAlignment.Placement placement()